server.port=80

#VIEW CONFIG
spring.mvc.view.prefix=/WEB-INF/jsp/
spring.mvc.view.suffix=.jsp

#DATABASE CONFIG
spring.datasource.driver-class-name=oracle.jdbc.OracleDriver
spring.datasource.url=jdbc:oracle:thin:@localhost:1521/xe
spring.datasource.username=c##shse
spring.datasource.password=#glTn344774

#JPA
spring.jpa.hibernate.ddl-auto=update
spring.jpa.generate-ddl=false
spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.properties.hibernate.show_sql=true
spring.jpa.database=oracle
spring.jpa.database-platform=org.hibernate.dialect.OracleDialect

##  mybatis settings start  ##
# mapper.xml 위치 지정
mybatis.mapper-locations: mapper/*/*.xml

# model 프로퍼티 camel case 설정
mybatis.configuration.map-underscore-to-camel-case=true

# 패키지 명을 생략할 수 있도록 alias 설정
mybatis.type-aliases-package=com.temp

# mapper 로그레벨 설정
logging.level.com.azurealstn.codespringweb.mapper=TRACE
##  mybatis settings end  ##

#sessions
# server.servlet.session.timeout=5
